
Foreman - Bug #6177

Setting host build flag via API doesn't clear facts and reports

06/11/2014 11:11 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: API   

Target version: 1.5.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1114645 Red Hat JIRA:  

Pull request:    

Description

When setting the build attribute on a host to true from the API (or CLI) doesn't clear facts and reports from the hosts.  This differs

from the UI as it calls Host::Managed#setBuild, while the API is just setting the attribute.

The clear facts/reports might be best moved to the model when the attribute is changed, and the setBuild action on HostsController

could just update the attribute.

Associated revisions

Revision aa19255e - 06/30/2014 04:39 AM - Dominic Cleal

fixes #6177 - clear host facts/reports when build=true set over API

Revision 65b45855 - 07/28/2014 07:20 AM - Dominic Cleal

fixes #6177 - clear host facts/reports when build=true set over API

(cherry picked from commit aa19255e85c1121ae1896466089d286243b814d7)

History

#1 - 06/14/2014 04:54 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

- Target version set to 1.8.1

https://github.com/theforeman/foreman/pull/1511

#2 - 06/30/2014 04:40 AM - Dominic Cleal

- translation missing: en.field_release set to 18

#3 - 06/30/2014 06:31 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset aa19255e85c1121ae1896466089d286243b814d7.

#4 - 06/30/2014 10:26 AM - Bryan Kearney

- Bugzilla link set to 1114645
